# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:      zint
Version:   2.4.3
Release:   alt1_5
Summary:   Barcode generator library
License:   GPLv3+
URL:       http://www.zint.org.uk
Source:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Group:     Text tools

# patch to disable creation of rpaths
Patch0:    %{name}-rpath.patch

BuildRequires: ctest cmake
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: qt4-devel
BuildRequires: desktop-file-utils
Source44: import.info

%description
Zint is a C library for encoding data in several barcode variants. The
bundled command-line utility provides a simple interface to the library.
Features of the library:
- Over 50 symbologies including all ISO/IEC standards, like QR codes.
- Unicode translation for symbologies which support Latin-1 and 
  Kanji character sets.
- Full GS1 support including data verification and automated insertion of 
  FNC1 characters.
- Support for encoding binary data including NULL (ASCII 0) characters.
- Health Industry Barcode (HIBC) encoding capabilities.
- Output in PNG, EPS and SVG formats with user adjustable sizes and colors.
- Verification stage for SBN, ISBN and ISBN-13 data.



%package devel
Summary:       Library and header files for %{name}
Group:         Development/C
Requires:      %{name} = %{version}-%{release}

%description devel 
C library and header files needed to develop applications that use 
the Zint library. The API documentation can be found on the project website:
http://www.zint.org.uk/zintSite/Manual.aspx



%package qt
Summary:       Zint Barcode Studio
Group:         Text tools

%description qt
Zint Barcode Studio is a Qt-based GUI which allows desktop users to generate 
barcodes which can then be embedded in documents or HTML pages.



%package qt-devel
Summary:       Library and header files for %{name}-qt
Group:         Development/C

%description qt-devel 
C library and header files needed to develop applications that use libQZint.


%prep
%setup -q
%patch0 -p1

# remove BSD-licensed file required for Windows only (just to ensure that this package is plain GPLv3+)
rm -f backend/ms_stdint.h

# remove bundled getopt sources (we use the corresponding Fedora package instead)
rm -f frontend/getopt*.*

find -type f -exec chmod 644 {} \;

%build
%{fedora_cmake} .
make VERBOSE=1 %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{_datadir}/cmake
install -D -p -m 644 %{name}.png %{buildroot}/usr/share/pixmaps/%{name}.png
install -D -p -m 644 %{name}-qt.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-qt.desktop


%files
%doc COPYING readme
%{_bindir}/%{name}
%{_libdir}/libzint.so.*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/libzint.so

%files qt
%{_bindir}/%{name}-qt
%{_libdir}/libQZint.so.*
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/pixmaps/%{name}.png

%files qt-devel
%{_includedir}/qzint.h
%{_libdir}/libQZint.so


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_4
- update to new release by fcimport

* Tue May 22 2012 Igor Vlasenko <viy@altlinux.ru> 2.4.3-alt1_3
generated with R::S::Convert 0.46

